---
title: Window.console
slug: Web/API/Window/console
tags:
  - API
  - Property
  - Read-only
  - Reference
  - Window
  - console
---
<div>{{APIRef}}</div>

<p>The <strong><code>Window.console</code></strong> property returns a reference to the {{domxref("Console")}} object, which provides methods for logging information to the browser's console. These methods are intended for debugging purposes only and should not be relied on for presenting information to end users.</p>

<h2 id="Example">Examples</h2>

<h3 id="Logging_to_console">Logging to console</h3>

<p>The first example logs text to the console.</p>

<pre class="brush: js">console.log("An error occurred while loading the content");
</pre>

<p>The next example logs an object to the console, with the object's fields expandable using disclosure widgets:</p>

<pre class="brush: js">console.dir(someObject);</pre>

<p>See {{SectionOnPage("/en-US/docs/Web/API/Console", "Usage")}} for more thorough examples.</p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{SpecName('Console API')}}</td>
   <td>{{Spec2('Console API')}}</td>
   <td>Initial definition.</td>
  </tr>
 </tbody>
</table>

<div class="note">
<p>Currently there are many implementation differences among browsers, but work is being done to bring them together and make them more consistent with one another.</p>
</div>
